Bug 1249902 - yum group list does not list the groups samba,nfs,gluster and Nagios on RHEL7 node
yum group list does not list the groups samba,nfs,gluster and Nagios on RHEL7...
Status: ASSIGNED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribution (Show other bugs)
3.1
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Sreenath G
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-04 02:01 EDT by RamaKasturi
Modified: 2017-09-28 13:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RamaKasturi 2015-08-04 02:01:10 EDT
Description of problem:
Running Yum grouplist on RHEL7 nodes does not list the groups RH-Gluster-NFS-Ganesha, RH-Gluster-Core,RH-Gluster-Tools,RH-Gluster-Samba-Server,RH-Gluster-AD-Integration,RH-Gluster-Nagios-Server

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RHEL7 based RHGS node from the ISO
2. Register to CDN/ RHN
3. Run the command 'yum grouplist'

Actual results:
yum grouplist does not list the groups nfs,samba, gluster and Nagios.

Expected results:
yum grouplist should list all the groups mentioned in the description.

Additional info:
Comment 6 Sreenath G 2015-09-09 11:41:13 EDT
Compose file updated at RHN/CDN production and its able to read using RCM commands. So please re-check this.
Comment 7 RamaKasturi 2015-09-10 05:10:42 EDT
Registered to CDN Live and enabled all the required repositories. Below is the output from 'yum repolist' 

[root@dhcp37-112 ~]# yum repolist
Loaded plugins: langpacks, product-id, subscription-manager
repo id                                                               repo name                                                                 status
rh-gluster-3-for-rhel-7-server-rpms/7Server/x86_64                    Red Hat Gluster Storage 3.1 Server (RPMs)                                   120
rh-gluster-3-nagios-for-rhel-7-server-rpms/7Server/x86_64             Red Hat Gluster Storage 3.1 Nagios (RPMs)                                    20
rh-gluster-3-nfs-for-rhel-7-server-rpms/7Server/x86_64                Red Hat Gluster Storage 3.1 NFS (RPMs)                                        3
rh-gluster-3-samba-for-rhel-7-server-rpms/7Server/x86_64              Red Hat Gluster Storage 3.1 Samba (for RHEL 7 Server) (RPMs)                 22
rhel-7-server-rpms/7Server/x86_64                                     Red Hat Enterprise Linux 7 Server (RPMs)                                  7,459
repolist: 7,624

Still i do not see the required groups being listed. Output of 'yum grouplist'

[root@dhcp37-112 ~]# yum grouplist
Loaded plugins: langpacks, product-id, subscription-manager
There is no installed groups file.
Maybe run: yum groups mark convert (see man yum)
Available environment groups:
   Minimal Install
   Infrastructure Server
   File and Print Server
   Basic Web Server
   Virtualization Host
   Server with GUI
Available Groups:
   Compatibility Libraries
   Console Internet Tools
   Development Tools
   Graphical Administration Tools
   Legacy UNIX Compatibility
   Scientific Support
   Security Tools
   Smart Card Support
   System Administration Tools
   System Management
Done

So,moving this bug back

Note You need to log in before you can comment on or make changes to this bug.